<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% if show_user_name %>
  <div class="form--field">
    <label class="form--label" for="username">
      <%= User.human_attribute_name(:login) %>
    </label>
    <div class="form--field-container">
      <%= @username %>
    </div>
  </div>
<% end %>

<div class="form--field -required">
  <%= styled_label_tag 'password', User.human_attribute_name(:current_password) %>
  <div class="form--field-container">
    <%= styled_password_field_tag 'password',
                                  nil,
                                  size: 25,
                                  required: true,
                                  container_class: (defined? input_size) ? "-#{input_size}" : '' %>
  </div>
</div>

<div class="form--field -required" style="padding-top: 1em">
  <%= styled_label_tag 'new_password', User.human_attribute_name(:new_password) %>
  <div class="form--field-container">
    <%= styled_password_field_tag 'new_password',
                                  nil,
                                  size: 25,
                                  'aria-describedby' => 'new_password_tooltip',
                                  required: true,
                                  class: 'advanced-tooltip-trigger',
                                  container_class: (defined? input_size) ? "-#{input_size}" : '' %>
  </div>
  <div class="form--field-instructions">
    <%= render_password_complexity_hint %>
  </div>
</div>

<div class="form--field -required">
  <%= styled_label_tag 'new_password_confirmation',
                       User.human_attribute_name(:password_confirmation) %>
  <div class="form--field-container">
    <%= styled_password_field_tag 'new_password_confirmation',
                                  nil,
                                  required: true,
                                  'aria-describedby' => 'confirm_password_tooltip',
                                  size: 25,
                                  class: 'advanced-tooltip-trigger',
                                  container_class: (defined? input_size) ? "-#{input_size}" : '' %>
  </div>
  <div class="form--field-instructions">
    <%= I18n.t(:confirm,
               scope: [:activerecord, :errors, :models, :user, :attributes, :password, :match]) %>
    <br>
    <%= I18n.t(:description,
               scope: [:activerecord, :errors, :models, :user, :attributes, :password, :match]) %>
  </div>
</div>

